Subject: bug#36903: 27.0.50; gnus registry vs. debbugs

From: Michael Albinus <[email-masked]>
Date: Sun, 22 Sep 2019 10:02:47 +0200

Eric Abrahamsen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> Yeah, I was too hasty with this whole thing. The backtrace you posted
>>> seems to be unrelated to the registry issue I was trying to fix (at
>>> least, I can't immediately see how it could arise from that),
>>
>> FWIW, your fix works for me.
>>
>>> but I'll see if I can reproduce.
>>
>> I can't, but I can if I do
>>
>> (with-eval-after-load 'gnus
>>   (add-hook 'gnus-select-group-hook #'gnus-group-set-timestamp))

Confirmed. I've bisected my ~/.gnus, and when I comment out the
following line, everything works as expected:

(add-hook 'gnus-select-group-hook 'gnus-group-set-timestamp)

> Okay, this is a completely different bug, coincidentally also caused by
> changes I put in! The end of `gnus-group-set-info' tries to manipulate
> `gnus-newsrc-alist', which is nil in the case of debbugs-gnu.
>
> This all resulted from me trying to turn groups into objects, instead of
> lists. If they were objects, we could edit them without having to worry
> about breaking references to them. I can wrap this chunk of code in a
> test to see if `gnus-newsrc-alist' is a list, but... I just wish groups
> could be objects.

Take your time, therte's no rush. I've learned how to mitigate the
problem in my setup.

Best regards, Michael.